#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from enum import Enum
from pathlib import Path


class Message1(Enum):
    OK = 'OK\n'
    EOF = 'EOF\n'


class Message2(Enum):
    OK_BINARY = b'OK\n'
    OK_STR = 'OK\n'


def get_chunk_path(chunk_dir: Path, subvolume: Path, chunk_no: int) -> Path:
    return chunk_dir.joinpath(f'{subvolume.name}.CHUNK.{chunk_no}')


def get_inform1_path(source_chunk_path: Path) -> Path:
    return source_chunk_path.parent.joinpath(f'{source_chunk_path.name}.COMPLETE')


def get_inform2_path(source_chunk_dir: Path, subvolume: Path) -> Path:
    return source_chunk_dir.joinpath(f'{subvolume.name}.SOCKET.in')
